*{
    font-family: "Poppins", serif;
}
.nav-link {
    position: relative;
    display: inline-block;
    color: #fff; /* Sesuaikan dengan warna teks Anda */
    text-decoration: none;
}

.nav-link::after {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: #fff; /* Sesuaikan dengan warna underline Anda */
    transform-origin: bottom right;
    transition: transform 0.25s ease-out;
}

.nav-link:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}

.fade-in {
    opacity: 0;
    visibility: hidden;
    animation: fadeIn 0.5s forwards;
}

.fade-out {
    opacity: 1;
    visibility: visible;
    animation: fadeOut 0.5s forwards;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
        visibility: hidden;
    }
    100% {
        opacity: 1;
        visibility: visible;
    }
}

@keyframes fadeOut {
    0% {
        opacity: 1;
        visibility: visible;
    }
    100% {
        opacity: 0;
        visibility: hidden;
    }
}

/* --- STYLE UNTUK DOT TIDAK AKTIF (ABU-ABU) --- */
.swiper-pagination .swiper-pagination-bullet {
    background-color: #374151 !important; 
    opacity: 0.6 !important;
    width: 10px !important;
    height: 10px !important;
    margin: 0 !important;
    border-radius: 9999px !important;
    transition: all 0.3s ease;
}

.swiper-pagination .swiper-pagination-bullet-active {
    background-color: #000000 !important;
    opacity: 1 !important;
    width: 24px !important; 
    height: 10px !important;
    border-radius: 9999px !important;
    transition: all 0.3s ease;
}

@keyframes loadProgress {
    0% {
        width: 0%;
    }
    100% {
        width: 100%;
    }
}

@keyframes slide {
    0% {
        transform: translateX(0%);
    }
    100% {
        transform: translateX(-100%);
    }
}

.slider-container {
    overflow: hidden;
    position: relative;
    width: 100%;
}

.slider {
    display: flex;
    animation: slide 20s linear infinite;
    animation-play-state: running; /* Default state is running */
}

.slider-item {
    flex: 0 0 auto;
    width: 25%; /* Sesuaikan dengan jumlah item yang ingin ditampilkan */
}

.loader {
    border: 4px solid #f3f3f3;
    border-radius: 50%;
    border-top: 4px solid #3498db;
    width: 20px;
    height: 20px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

.ql-editor {
    text-align: justify;
}

@-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

